×

Discussion Board

Results 1 to 4 of 4
  1. #1
    Registered User
    Join Date
    Nov 2008
    Posts
    3

    Can't select application on Nokia

    I've loaded and personalised the same GP application on both a smart card and a nokia NFC phone, and the application works fine on the smart card but is not selectable on the phone.
    When I try to select the application instance on the phone I get the following error...

    select -AID A000000003101001
    Command --> 00A4040008A000000003101001
    Wrapped command --> 00A4040008A000000003101001
    Response <-- 6986
    select_application() returns 0x80206986 (Unknown ISO7816 error: 0x6986)

    However, the application instance is present on the phone as I can delete it...

    delete -AID A000000003101001
    Command --> 80E400800A4F08A00000000310100100
    Wrapped command --> 84E4008018D5F4AA2944F6370EF9CC8E5E2C1024F52CAC58FFCCFB9D1C00
    Response <-- 009000

    Can anyone shed any light on what's going wrong?

  2. #2
    Registered User
    Join Date
    Sep 2008
    Posts
    21

    Re: Can't select application on Nokia

    Hi,
    error: 0x6986 means: SW_COMMAND_NOT_ALLOWED.

    Without seeing your source code I would say, that you are using a wrong java card devkit version for your applet development. Note that JCDK 2.2.1 is compliant to the Nokia phone. Your Smartcard probably runs a newer version and therefor is not complaining about not allowed commands/methods which you use.

    So what you have to do is change your devkit version to 2.2.1 and/or just use methods and libraries from the 2.2.1 API.

    Regards,
    Hak
    There are only 10 types of people in the world: Those who understand binary and those who don't.

  3. #3
    Registered User
    Join Date
    Nov 2008
    Posts
    3

    Re: Can't select application on Nokia

    Hi Hak,

    I'm not using the development kit, just sending APDUs direct...just found the problem... had to change the install parameter in the install-for-install command to recognise the contactless usage (from C900 to C90182)

    Snic

  4. #4
    Registered User
    Join Date
    Oct 2010
    Posts
    1

    Re: Can't select application on Nokia

    Hi,
    sorry for pulling out that old thread.

    I have exactly the same problem.


    > had to change the install parameter in the install-for-install command to recognise the contactless usage (from C900 to C90182)

    Where can i change this install-for-install command?

    Thanks
    Alex

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×